## python-tomlkit 0.13.2

=== docs/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile docs/requirements.in -o docs/requirements.txt
alabaster==0.7.16
    # via sphinx
babel==2.15.0
    # via sphinx
beautifulsoup4==4.12.3
    # via furo
certifi==2024.7.4
    # via requests
charset-normalizer==3.3.2
    # via requests
docutils==0.21.2
    # via sphinx
furo==2024.7.18
    # via -r docs/requirements.in
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via sphinx
markupsafe==2.1.5
    # via jinja2
packaging==24.1
    # via sphinx
pygments==2.18.0
    # via
    #   furo
    #   sphinx
requests==2.32.3
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.4.7
    # via
    #   -r docs/requirements.in
    #   furo
    #   sphinx-basic-ng
sphinx-basic-ng==1.0.0b2
    # via furo
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.6
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.8
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
urllib3==2.2.2
    # via requests

## python-tomlkit 0.6.0

=== debian/changelog ===
python-tomlkit (0.6.0-2) unstable; urgency=medium

  * Source only upload to allow Testing migration

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Jun 2020 08:07:08 -0400

python-tomlkit (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #959797)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 May 2020 11:18:19 -0400

=== debian/control ===
Source: python-tomlkit
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Standards-Version: 4.5.0
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
Homepage: https://pypi.org/project/tomlkit
Vcs-Git: https://salsa.debian.org/python-team/modules/python-tomlkit.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tomlkit

Package: python3-tomlkit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: style-preserving TOML library for Python
 TOML Kit is a 1.0.0rc1-compliant TOML (Tom's Obvious, Minimal Language)
 library.
 .
 It includes a parser that preserves all comments, indentations, whitespace
 and internal element ordering, and makes them accessible and editable via an
 intuitive API.
 .
 You can also create new TOML documents from scratch using the provided
 helpers.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=tomlkit
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: py3
Depends: python3-all,
         python3-pytest,
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tomlkit/tomlkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tomlkit 0.9.2

=== debian/changelog ===
python-tomlkit (0.9.2-1) unstable; urgency=medium

  * New upstream release
  * Switch to pyproject.toml based build
    - Add python3-poetry-core and pybuild-plugin-pyproject to build-depends
    - Remove python3-setuptools from build-depends
  * Update d/watch to version 4
  * Update d/copyright
  * Add d/patches/0001-add-missing-docs-in-README.patch to restore usage
    documentation that was moved to a new docs directory which was then left
    out of the source tarball

 -- Scott Kitterman <scott@kitterman.com>  Tue, 08 Feb 2022 09:18:13 -0500

python-tomlkit (0.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Thu, 23 Dec 2021 00:35:05 -0500

python-tomlkit (0.7.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Scott Kitterman ]
  * New upstream release
  * Add python3-yaml to build-depends and test depends for test execution
  * Update homepage to point to github instead of pypi
  * Bump standards-version to 4.6.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Nov 2021 03:47:16 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: python-tomlkit
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
  python3-pytest,
- python3-setuptools,
-Homepage: https://pypi.org/project/tomlkit
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-tomlkit.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-tomlkit
+ python3-yaml,
+Homepage: https://github.com/sdispater/tomlkit
+Vcs-Git: https://salsa.debian.org/python-team/packages/tomlkit.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/tomlkit
 
 Package: python3-tomlkit
 Architecture: all

## python-tomlkit 0.11.6

=== debian/changelog ===
python-tomlkit (0.11.6-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Nov 2022 00:53:32 -0400

python-tomlkit (0.11.5-1) unstable; urgency=medium

  * New upstream release
  * Delete d/patches/0001-add-missing-docs-in-README.patch, file no longer
    missing
  * Bump standards-version to 4.6.1 without further change
  * Build and install text documentation for docs folder
  * Add d/p/0001-Patch-README.md-to-point-to-local-documentation-inst.patch

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Oct 2022 19:02:54 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-sphinx,
  python3-poetry-core,
  python3-pytest,
  python3-yaml,

## python-tomlkit 0.11.7

=== debian/changelog ===
python-tomlkit (0.11.7-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.6.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 01 Apr 2023 16:34:39 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,12 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_installdocs:
+	PYTHONPATH=.:$PYTHONPATH sphinx-build -b text docs debian
+	dh_installdocs
+
+override_dh_auto_clean:
+	rm -f debian/*.txt
+	rm -rf debian/.doctrees
+	dh_auto_clean

## python-tomlkit 0.11.8

=== debian/changelog ===
python-tomlkit (0.11.8-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Jun 2023 00:29:54 -0400

## python-tomlkit 0.12.1

=== debian/changelog ===
python-tomlkit (0.12.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Tue, 01 Aug 2023 13:42:42 -0400

python-tomlkit (0.12.1-1~exp1) experimental; urgency=medium

  * New upstream release
    - Refresh/update patches

 -- Scott Kitterman <scott@kitterman.com>  Mon, 31 Jul 2023 12:34:21 -0400

## python-tomlkit 0.12.4

=== debian/changelog ===
python-tomlkit (0.12.4-1) unstable; urgency=medium

  * Add Rules-Requires-Root no
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 Mar 2024 10:42:57 -0500

python-tomlkit (0.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 29 Dec 2023 14:14:18 -0500

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Homepage: https://github.com/sdispater/tomlkit
 Vcs-Git: https://salsa.debian.org/python-team/packages/tomlkit.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tomlkit
+Rules-Requires-Root: no
 
 Package: python3-tomlkit
 Architecture: all

## python-tomlkit 0.12.5

=== debian/changelog ===
python-tomlkit (0.12.5-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Emmanuel Arias ]
  * Add my self as Uploader.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set field Upstream-Name in debian/copyright (routine-update)
  * d/upstream: Add metadata file.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 17 May 2024 21:28:45 -0300

## python-tomlkit 0.13.0

=== debian/changelog ===
python-tomlkit (0.13.0-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 09 Aug 2024 21:20:49 -0300

## python-tomlkit 0.13.2

=== debian/changelog ===
python-tomlkit (0.13.2-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 22 Aug 2024 06:40:46 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>
-Standards-Version: 4.6.2
+Uploaders: Emmanuel Arias <eamanu@debian.org>
+Standards-Version: 4.7.0
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-sphinx,

## python-tomlkit 0.13.3

=== docs/requirements.txt ===
--- 
+++ 
@@ -13,12 +13,12 @@
 docutils==0.21.2
     # via sphinx
 furo==2024.7.18
-    # via -r docs/requirements.in
+    # via -r requirements.in
 idna==3.7
     # via requests
 imagesize==1.4.1
     # via sphinx
-jinja2==3.1.4
+jinja2==3.1.5
     # via sphinx
 markupsafe==2.1.5
     # via jinja2
@@ -36,7 +36,7 @@
     # via beautifulsoup4
 sphinx==7.4.7
     # via
-    #   -r docs/requirements.in
+    #   -r requirements.in
     #   furo
     #   sphinx-basic-ng
 sphinx-basic-ng==1.0.0b2

=== debian/changelog ===
python-tomlkit (0.13.3-2) unstable; urgency=medium

  * Team upload.
  * Set installed upstream changelog mtime to our changelog timestamp
    (closes: #1118582).

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Oct 2025 18:05:27 +0100

python-tomlkit (0.13.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 16 Oct 2025 23:45:05 -0300

=== debian/control ===
Source: python-tomlkit
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-sphinx,
 python3-poetry-core,
 python3-pytest,
 python3-yaml,
Vcs-Browser: https://salsa.debian.org/python-team/packages/tomlkit
Vcs-Git: https://salsa.debian.org/python-team/packages/tomlkit.git
Homepage: https://github.com/sdispater/tomlkit
Rules-Requires-Root: no

Package: python3-tomlkit
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: style-preserving TOML library for Python
 TOML Kit is a 1.0.0rc1-compliant TOML (Tom's Obvious, Minimal Language)
 library.
 .
 It includes a parser that preserves all comments, indentations, whitespace
 and internal element ordering, and makes them accessible and editable via an
 intuitive API.
 .
 You can also create new TOML documents from scratch using the provided
 helpers.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=tomlkit
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	PYTHONPATH=.:$PYTHONPATH sphinx-build -b text docs debian
	dh_installdocs

# The original source tarball contains a changelog whose mtime is the epoch,
# which dak would reject if it found it in our binary package.
execute_after_dh_installchangelogs:
	touch -d"@$$(dpkg-parsechangelog -STimestamp)" debian/python3-tomlkit/usr/share/doc/python3-tomlkit/changelog

override_dh_auto_clean:
	rm -f debian/*.txt
	rm -rf debian/.doctrees
	dh_auto_clean

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tomlkit/tomlkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
